
#include "config.h"

#include <stdarg.h>

#include "windef.h"
#include "winbase.h"
#include "winerror.h"
#include "winreg.h"
#include "winuser.h"

#include "ole2.h"
#include "olectl.h"

#include "shlwapi.h"

#include "wine/debug.h"

WINE_DEFAULT_DEBUG_CHANNEL(ieinfo);

HRESULT WINAPI IEINFO5_DllGetVersion(DLLVERSIONINFO *pdvi)
{
    TRACE("%p\n",pdvi);

    if (pdvi->cbSize != sizeof(DLLVERSIONINFO))
        return E_INVALIDARG;

    pdvi->dwMajorVersion = 5;
    pdvi->dwMinorVersion = 0;
    pdvi->dwBuildNumber = 0;
    pdvi->dwPlatformID = 1;

    return S_OK;
}

HRESULT WINAPI IEINFO5_DllGetClassObject(REFCLSID rclsid, REFIID iid,LPVOID *ppv)
{
    return CLASS_E_CLASSNOTAVAILABLE;
}


/***********************************************************************
 *		DllRegisterServer (IEINFO5.@)
 */
HRESULT WINAPI IEINFO5_DllRegisterServer()
{
    FIXME("\n");

    return S_OK;
}

/***********************************************************************
 *		DllUnregisterServer (IEINFO5.@)
 */
HRESULT WINAPI IEINFO5_DllUnregisterServer()
{
    FIXME("\n");

    return S_OK;
}

BOOL WINAPI IEINFO5_DllCanUnloadNow(void)
{
    return FALSE;
}

